package org.in2p3.transformation;

import org.eclipse.uml2.uml.Enumeration;
import org.eclipse.uml2.uml.EnumerationLiteral;
import org.eclipse.uml2.uml.Operation;
import org.eclipse.uml2.uml.Parameter;
import org.eclipse.uml2.uml.Property;
import org.eclipse.uml2.uml.UMLFactory;

/** UML utilities class for Elements creation */

public class Utils {

	/**
	 * Creates an Enumeration.
	 * @return the created Enumeration
	 */
	public static Enumeration createEnumeration() {
		return UMLFactory.eINSTANCE.createEnumeration();
	}

	/**
	 * Creates an EnumerationLiteral.
	 * @return the created EnumerationLiteral
	 */
	public static EnumerationLiteral createEnumerationLiteral() {
		return UMLFactory.eINSTANCE.createEnumerationLiteral();
	}

	/**
	 * Creates a Parameter.
	 * @return the created Parameter
	 */
	public static Parameter createParameter() {
		return UMLFactory.eINSTANCE.createParameter();
	}
	
	/**
	 * Creates a Property.
	 * @return the created Property.
	 */
	public static Property createProperty() {
		return UMLFactory.eINSTANCE.createProperty();
	}
	
	
	/**
	 * Creates an Operation.
	 * @return the created Operation.
	 */
	public static Operation createOperation() {
		return UMLFactory.eINSTANCE.createOperation();
	}

}
